GET
/v1/platform/automation/rules/{id}GET /v1/platform/automation/rules/{id}
Scopes: platform:automation:read
Requires scope: platform:automation:read.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | integer<int32> | yes |
Response (200)
| Field | Type | Required | Description |
|---|---|---|---|
id | integer<int32> | no | |
name | string | no | |
description | string | no | |
enabled | boolean | no | |
rule_type | RuleTypeDictionaryEntry | no | |
triggers | AutomationTriggerModel[] | no | |
filters | AutomationFilterModel[] | no | |
actions | AutomationActionModel[] | no |
Examples
import { SolidCommerceClient } from '@solidcommerce/sdk';
const client = new SolidCommerceClient({
apiKey: process.env.SOLIDCOMMERCE_API_KEY!,
});
const { data, error } = await client.raw.GET('/v1/platform/automation/rules/{id}', {
// params: { path: { id: '...' }, query: { limit: 25 } },
// body: { /* request body */ },
});
if (error) throw error;
console.log(data);